//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  (c) 2010-present DEMOS plan GmbH.
//
//  This file is part of the package demosplan,
//  for more information see the license file.
//
//  All rights reserved
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//  utility classes: list-style-<keyword>
//
//  list-style: [
//      list-style-type         https://developer.mozilla.org/de/docs/Web/CSS/list-style-type
//      || list-style-position  https://developer.mozilla.org/de/docs/Web/CSS/list-style-position
//      || list-style-image     https://developer.mozilla.org/de/docs/Web/CSS/list-style-image
//  ] | inherit
//  https://developer.mozilla.org/de/docs/Web/CSS/list-style

// @TODO When migrating to tailwind, the margin reset should be removed here, as well as the
// default margins of the inuit _generic.shared.scss. However to do so, the margins must be reapplied
// wherever needed.

.list-style {
    &-none {
        list-style-type: none;

        // making the (hopefully right) assumption here that this utility is used mostly to visually normalize lists
        margin-left: 0;
        margin-bottom: 0;
    }
}
